/**
   This program reads in the dimensions of a box and then stores
   the data in a Box1 data structure.

   The program then "does something" with the box data structure
   (for example, it could store it in a file or a database). This
   program prints out the contents of the data structure and then
   computes the volume of the box.

   Notice how, once the data is placed in a Box1 data structure, it
   can be passed around (e.g., to a method) as one unit instead of as
   three numbers.
*/
import java.util.Scanner;

public class UseBox1
{
   public static void main(String[] args)
   {
      Scanner sc = new Scanner(System.in);

      Box1 box;          // declare a variable of type Box1
      box = new Box1();  // create a Box1 object and name it box

      // get data from standard input
      System.out.println("Please enter the dimensions of the box.");
      System.out.print("Please enter the height: ");
      double height = sc.nextDouble();
      System.out.print("Please enter the width: ");
      double width = sc.nextDouble();
      System.out.print("Please enter the length: ");
      double length = sc.nextDouble();

      // store the data in the Box1 object
      box.height = height;
      box.width = width;
      box.length = length;

      // make use of the data in the Box1 object
      System.out.println("The dimensions of the box are");
      System.out.println("height is " + box.height + ",");
      System.out.println("width is "  + box.width + ",");
      System.out.println("length is " + box.length + ".");
      System.out.println("The volume of the box is " + volume(box) + ".");
   }//main()


   public static double volume(Box1 box)
   {
      return (box.width * box.length * box.height);
   }
}
