/*
   This program makes use of the TemperatureReading5 class.

   In particular, this program shows how to use the two
   static factory methods.
*/
import java.text.*;

public class UseTemperatureReading5
{
   public static void main( String args[] )
   {
      // declare two variables of type TemperatureReading5
      TemperatureReading5 temp1;
      TemperatureReading5 temp2;

      // instantiate two TemperatureReading5 objects using the factory methods
      temp1 = TemperatureReading5.makeTempC(TemperatureReading5.BOILING_C, 0, 0);
      temp2 = TemperatureReading5.makeTempF(TemperatureReading5.FREEZING_F, 0, 0);

      // retrieve the temperature from the objects and
      // display the time of the temperature reading
      String time1 = ( new SimpleDateFormat() ).format( temp1.getTimeOfReading() );
      System.out.println("At " + time1 + " the 1st temperature was "
                               + temp1.getTemperatureC() +"C");

      String time2 = ( new SimpleDateFormat() ).format( temp1.getTimeOfReading() );
      System.out.println("At " + time2 + " the 2nd temperature was "
                               + temp2.getTemperatureC() +"F");
   }
}
