/*
   This program uses the interface Hat and its two implementations
   HatA and HatB. Notice that this program works fine with either
   implementation of the Hat interface.
*/

public class UseHat
{
   public static void main(String[] args)
   {
      // Notice that this is an array of type Hat.
      Hat[] inventory = new Hat[5];

      // Now put HatA and HatB type objects
      // in the array of type Hat.
      inventory[0] = new HatA();
      inventory[1] = new HatB();
      inventory[2] = new HatB(Hat.SMALL, Hat.BEANIE, Hat.BLUE);
      inventory[3] = new HatA(Hat.LARGE, Hat.BASEBALL, Hat.RED);
      inventory[4] = new HatA(Hat.MEDIUM, 5, Hat.WHITE);

      // Loop through the array and print out the hats.
      for (int i = 0; i < inventory.length; ++i)
      {
         System.out.println( inventory[i] );
      }
   }
}
