/**
   This file defines a simple data structure that holds
   information that describes the dimensions of a box.

   The data structure now comes with a constructor that
   is used to "construct" the data structure with the
   appropriate initial values.

   A Box2 object knows how to compute its volume.

   A Box2 object knows how to return a printable
   description of itself.
*/

public class Box2
{
   // three instance variables
   public double length;
   public double width;
   public double height;

   // define a constructor
   public Box2(double length, double width, double height)
   {
      this.length = length;
      this.width = width;
      this.height = height;
   }

   // define a method for computing the volume of the box
   public double volume()
   {
      return this.height * this.width * this.length;
   }

   // define a toString method
   public String toString()
   {
       return "The dimensions of the box are\n"
               + "height is " + height + ",\n"
               + "width is "  + width  + ",\n"
               + "length is " + length + ".";
   }
}
