/*
   This file defines a simple data structure that holds
   data from a temperature reading. The data items are
   the temperature and the latitude and longitude of
   where the temperature was taken.

   Notice that this data structure holds the exact same
   kind of data as a Box1 data structure. The only thing
   that distinguishes the TemperatureReading1 data
   structure from the Box1 data structure are the names.
*/

class TemperatureReading1
{
   // three instance variables
   public double temperature;
   public double latitude;
   public double longitude;
}
