/*
   This program makes use of the TemperatureReading6 class
   and its two sub classes.
*/
import java.text.*;

public class UseTemperatureReading6
{
   public static void main( String args[] )
   {
      // declare two variables of type TemperatureReading6
      TemperatureReading6 temp1;
      TemperatureReading6 temp2;

      // instantiate two TemperatureReading6 objects using the sub classes
      temp1 = new TemperatureReading6C(TemperatureReading6.BOILING_C, 0, 0);
      temp2 = new TemperatureReading6F(TemperatureReading6.FREEZING_F, 0, 0);

      // retrieve the temperature from the objects and
      // display the time of the temperature reading
      String time1 = ( new SimpleDateFormat() ).format( temp1.getTimeOfReading() );
      System.out.println("At " + time1 + " the 1st temperature was "
                               + temp1.getTemperatureC() +"C");

      String time2 = ( new SimpleDateFormat() ).format( temp1.getTimeOfReading() );
      System.out.println("At " + time2 + " the 2nd temperature was "
                               + temp2.getTemperatureC() +"F");
   }
}
