/*
   This program uses the Hat class. Notice that this program
   works fine with either implementation of the Hat class, the
   implementation contained in the subdirectory hat1 or the
   implementation from the subdirectory hat2.

   NOTE: Before you can compile this program you must copy into
   this directory one of the Hat.class files from either of the
   subdirectories hat1 or hat2.
*/

public class UseHat
{
   public static void main(String[] args)
   {
      // Create an array of type Hat.
      Hat[] inventory = new Hat[5];

      // Fill the array with Hat objects.
      inventory[0] = new Hat();
      inventory[1] = new Hat(Hat.SMALL, Hat.BEANIE, Hat.BLUE);
      inventory[2] = new Hat(Hat.LARGE, Hat.BASEBALL, Hat.RED);
      inventory[3] = new Hat(Hat.MEDIUM, Hat.BASEBALL, Hat.RED);
      inventory[4] = new Hat(Hat.MEDIUM, 5, Hat.WHITE);

      // Loop through the array and print out the hats.
      for (int i = 0; i < inventory.length; ++i)
      {
         System.out.println( inventory[i] );
      }
   }
}
