/*
   This class defines an implementation of the AbstractHat class.

   This implementation of AbstractHat uses three data fields,
   one for each of the attributes of a HatA object.
*/

public class HatA extends AbstractHat
{
   // three instance fields
   private int size;
   private int style;
   private int color;

   // default constructor
   public HatA()
   {
      this(0, 0, MEDIUM, BASEBALL, WHITE);
   }

   // a full constructor
   public HatA(int quantity, double price, int size, int style, int color)
   {
      super(quantity, price);
      this.size = size;
      this.style = style;
      this.color = color;
   }

   public void setSize(int size)
   {
      this.size = size;
   }

   public void setStyle(int style)
   {
      this.style = style;
   }

   public void setColor(int color)
   {
      this.color = color;
   }

   public int getSize()
   {
      return size;
   }

   public int getStyle()
   {
      return style;
   }

   public int getColor()
   {
      return color;
   }
}
